=== doc/EXAMPLE/GTK/Makefile ===
#
#
# Some Examples in ATS involving GTK+ programming
#
#

######

ATSCC=$(or $(ATSHOME), "/usr")/bin/atscc
ATSOPT=$(or $(ATSHOME), "/usr")/bin/atsopt
GTKFLAGS=`pkg-config gtk+-2.0 --cflags --libs`

######

.PHONY: all
all: checkall

######

checkall:: compall cleanall

compall:: \
  GameOf24 \
  gtkcairoclock \

######

#
# Please do the following
#   cd $ATSHOME/contrib/GTK; make atsctrb_GTK.o
# if "atsctrb_GTK.o" is not available
#
LIBATSGTK=$(ATSHOME)/contrib/GTK/atsctrb_GTK.o
GameOf24: GameOf24.dats
	$(ATSCC) -D_ATS_GCATS -o $@ $(GTKFLAGS) GameOf24.dats $(LIBATSGTK)

######

gtkcairoclock: gtkcairoclock.dats
	$(ATSCC) -o $@ gtkcairoclock.dats $(GTKFLAGS)

######

clean::
	rm -f *_dats.c *_sats.c *~

cleanall:: clean
	rm -f GameOf24
	rm -f gtkcairoclock

###### end of [Makefile] ######
