=== debian/changelog ===
ats-lang-anairiats (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Modifying example Makefiles to build, test, and not clean.
  * Working around build system bug to do with Makefile_main_temp.

 -- Matthew Danish <mrd@debian.org>  Sun, 13 Jun 2010 17:46:45 -0400

ats-lang-anairiats (0.1.8-1) unstable; urgency=low

  * Initial release (Closes: #571031)

 -- Matthew Danish <mrd@debian.org>  Fri, 5 Mar 2010 20:35:01 -0500
