=== debian/control ===
Source: ats-lang-anairiats
Section: devel
Priority: optional
Maintainer: Matthew Danish <mrd@debian.org>
Build-Depends: debhelper (>= 7), libgmp3-dev, libpcre3-dev, libsdl1.2-dev, libgtk2.0-dev, libcairo2-dev
Standards-Version: 3.8.4
Homepage: http://www.ats-lang.org

Package: ats-lang-anairiats
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgmp3-dev, libpcre3-dev, libsdl1.2-dev, libgtk2.0-dev, libcairo2-dev
Suggests: ats-lang-anairiats-examples, ats-lang-anairiats-doc
Description: The ATS language compiler Anairiats
 ATS is a programming language with a highly expressive type system
 rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Anairiats) is written in ATS itself. It
 can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 In addition, ATS contains a component ATS/LF that supports a form of
 (interactive) theorem proving, where proofs are constructed as total
 functions. With this component, ATS advocates a programming style
 that combines programming with theorem proving. Furthermore, this
 component may be used as a logical framework to encode various
 deduction systems and their (meta-)properties.
 .
 This package contains the compiler atsopt, the frontend atscc, and 
 the lexer atslex.

Package: ats-lang-anairiats-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: ats-lang-anairiats
Description: Examples for the ATS compiler Anairiats
 ATS is a programming language with a highly expressive type system
 rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Anairiats) is written in ATS itself. It
 can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 In addition, ATS contains a component ATS/LF that supports a form of
 (interactive) theorem proving, where proofs are constructed as total
 functions. With this component, ATS advocates a programming style
 that combines programming with theorem proving. Furthermore, this
 component may be used as a logical framework to encode various
 deduction systems and their (meta-)properties.
 .
 This package contains some examples of the language.

Package: ats-lang-anairiats-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ats-lang-anairiats
Section: doc
Description: Documentation for the ATS compiler Anairiats
 ATS is a programming language with a highly expressive type system
 rooted in the framework Applied Type System. In particular, both
 dependent types and linear types are available in ATS. The current
 implementation of ATS (ATS/Anairiats) is written in ATS itself. It
 can be as efficient as C/C++ and supports a variety of programming
 paradigms.
 .
 In addition, ATS contains a component ATS/LF that supports a form of
 (interactive) theorem proving, where proofs are constructed as total
 functions. With this component, ATS advocates a programming style
 that combines programming with theorem proving. Furthermore, this
 component may be used as a logical framework to encode various
 deduction systems and their (meta-)properties.
 .
 This package contains some documentation for the language.
