=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh  $@

clean:
	dh $@ --before dh_auto_clean clean
	dh $@ --after dh_auto_clean clean
	make cleanall
	rm -f stamp-h1 config.log config.status .ATSHOME .ATSHOMERELOC
	rm -f ats_env.sh test.sh config.mk
	rm -f ccomp/lib/output/* ccomp/lib64/output/*
	rm -f ccomp/lib/*.a ccomp/lib64/*.a
