=== contrib/GTK/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 ######
 
-ATSCC="$(ATSHOME)"/bin/atscc
+ATSHOMEQ="$(ATSHOME)"
+ATSCC=$(ATSHOMEQ)/bin/atscc -Wall
 GTKCFLAGS = `pkg-config gtk+-2.0 --cflags`
 
 ######
