=== contrib/X11/Makefile ===
--- 
+++ 
@@ -5,7 +5,10 @@
 # Time: January, 2010
 #
 
-ATSCC="$(ATSHOME)"/bin/atscc
+######
+
+ATSHOMEQ="$(ATSHOME)"
+ATSCC=$(ATSHOMEQ)/bin/atscc -Wall
 
 ######
