=== contrib/cairo/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 ######
 
-ATSCC="$(ATSHOME)"/bin/atscc
+ATSHOMEQ="$(ATSHOME)"
+ATSCC=$(ATSHOMEQ)/bin/atscc -Wall
 XRCFLAGS=`pkg-config cairo --cflags`
 
 ######
@@ -16,13 +17,17 @@
 
 ######
 
-atsctrb_cairo.o: cairo_dats.o
-	ld -r -o $@ cairo_dats.o
+atsctrb_cairo.o: \
+  cairo_dats.o cairo_extra_dats.o
+	ld -r -o $@ $?
 
 ######
 
 cairo_dats.o: DATS/cairo.dats
 	$(ATSCC) $(XRCFLAGS) -o $@ -c DATS/cairo.dats
+
+cairo_extra_dats.o: DATS/cairo_extra.dats
+	$(ATSCC) $(XRCFLAGS) -o $@ -c DATS/cairo_extra.dats
 
 ######
