=== debian/changelog ===
ats-lang-anairiats (0.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #601772)
  * Updated example Makefiles to version 0.2.3

 -- Matthew Danish <mrd@debian.org>  Tue, 14 Dec 2010 15:10:02 -0500
