=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Matthew Danish <mrd@debian.org>
-Build-Depends: debhelper (>= 7), libgmp3-dev, libpcre3-dev, libsdl1.2-dev, libgtk2.0-dev, libcairo2-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), libgmp3-dev, libpcre3-dev, libsdl1.2-dev, libgtk2.0-dev, libcairo2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libblas-dev, liblapack-dev
+Standards-Version: 3.9.1
 Homepage: http://www.ats-lang.org
 
 Package: ats-lang-anairiats
