=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,6 @@
 	rm -f ats_env.sh test.sh config.mk
 	rm -f ccomp/lib/output/* ccomp/lib64/output/*
 	rm -f ccomp/lib/*.a ccomp/lib64/*.a
+	rm -f contrib/*/*.o
+	rm -f contrib/clapack/TEST/test
+	rm -f bootstrap1/atsopt bootstrap1/atsopt_gc utils/scripts/atscc utils/scripts/atslib utils/scripts/atspack utils/atslex/atslex
